pskc_get_key_data_secret(3)

NAME
pskc_get_key_data_secret - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_get_key_data_secret(pskc_key_t * key, size_t * len);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

size_t * len
    pointer to output variable with length of returned data.

DESCRIPTION
Get the PSKC KeyPackage Key Data Secret value. If len is not set, the caller can only use the returned value for comparison against NULL to check whether the field is present or not.

RETURNS
a constant string (must not be deallocated) holding the content of length *len, or NULL if not set.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.